Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer Class Reference

An input buffer customised for use by InflaterInputStream More...

## Public Member Functions
| InflaterInputBuffer (Stream stream)
| Initialise a new instance of InflaterInputBuffer with a default buffer size.
| InflaterInputBuffer (Stream stream, int bufferSize)
| Initialise a new instance of InflaterInputBuffer
void | SetInflaterInput (Inflater inflater)
| Call Inflater.SetInput(byte[], int, int) passing the current clear text buffer contents.
void | Fill ()
| Fill the buffer from the underlying input stream.
int | ReadRawBuffer (byte[] buffer)
| Read a buffer directly from the input stream.
int | ReadRawBuffer (byte[] outBuffer, int offset, int length)
| Read a buffer directly from the input stream.
int | ReadClearTextBuffer (byte[] outBuffer, int offset, int length)
| Read clear text data from the input stream.
int | ReadLeByte ()
| Read a byte from the input stream.
int | ReadLeShort ()
| Read an short in little endian byte order.
int | ReadLeInt ()
| Read an int in little endian byte order.
long | ReadLeLong ()
| Read a long in little endian byte order.

## Properties
int | RawLength`[get]`
| Get the length of bytes bytes in the RawData
byte[] | RawData`[get]`
| Get the contents of the raw data buffer.
int | ClearTextLength`[get]`
| Get the number of useable bytes in ClearText
byte[] | ClearText`[get]`
| Get the contents of the clear text buffer.
int | Available`[get, set]`
| Get/set the number of bytes available.
ICryptoTransform | CryptoTransform`[set]`
| Get/set the ICryptoTransform to apply to any data.

## Private Attributes
int | rawLength
byte[] | rawData
int | clearTextLength
byte[] | clearText
byte[] | internalClearText
int | available
ICryptoTransform | cryptoTransform
Stream | inputStream

## Detailed Description

An input buffer customised for use by InflaterInputStream

The buffer supports decryption of incoming data.

## Constructor & Destructor Documentation

## ◆ InflaterInputBuffer() [1/2]

ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.InflaterInputBuffer | ( | Stream | stream | ) |

Initialise a new instance of InflaterInputBuffer with a default buffer size.

Parameters

  stream | The stream to buffer.

## ◆ InflaterInputBuffer() [2/2]

ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.InflaterInputBuffer | ( | Stream | stream,
|  | int | bufferSize )

Initialise a new instance of InflaterInputBuffer

Parameters

  stream | The stream to buffer.
  bufferSize | The size to use for the buffer

A minimum buffer size of 1KB is permitted. Lower sizes are treated as 1KB.

## Member Function Documentation

## ◆ Fill()

void ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.Fill | ( |  | ) |

Fill the buffer from the underlying input stream.

Here is the caller graph for this function:

## ◆ ReadClearTextBuffer()

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ReadClearTextBuffer | ( | byte[] | outBuffer,
|  | int | offset,
|  | int | length )

Read clear text data from the input stream.

Parameters

  outBuffer | The buffer to add data to.
  offset | The offset to start adding data at.
  length | The number of bytes to read.

Returns
  Returns the number of bytes actually read.

Here is the call graph for this function:

## ◆ ReadLeByte()

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ReadLeByte | ( |  | ) |

Read a byte from the input stream.

Returns
  Returns the byte read.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ReadLeInt()

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ReadLeInt | ( |  | ) |

Read an int in little endian byte order.

Returns
  The int value read.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ReadLeLong()

long ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ReadLeLong | ( |  | ) |

Read a long in little endian byte order.

Returns
  The long value read.

Here is the call graph for this function:

## ◆ ReadLeShort()

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ReadLeShort | ( |  | ) |

Read an short in little endian byte order.

Returns
  The short value read case to an int.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ReadRawBuffer() [1/2]

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ReadRawBuffer | ( | byte[] | buffer | ) |

Read a buffer directly from the input stream.

Parameters

  buffer | The buffer to fill

Returns
  Returns the number of bytes read.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ReadRawBuffer() [2/2]

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ReadRawBuffer | ( | byte[] | outBuffer,
|  | int | offset,
|  | int | length )

Read a buffer directly from the input stream.

Parameters

  outBuffer | The buffer to read into
  offset | The offset to start reading data into.
  length | The number of bytes to read.

Returns
  Returns the number of bytes read.

Here is the call graph for this function:

## ◆ SetInflaterInput()

void ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.SetInflaterInput | ( | Inflater | inflater | ) |

Call Inflater.SetInput(byte[], int, int) passing the current clear text buffer contents.

Parameters

  inflater | The inflater to set input for.

Here is the call graph for this function:

## Member Data Documentation

## ◆ available

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.available
| private

## ◆ clearText

byte [] ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.clearText
| private

## ◆ clearTextLength

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.clearTextLength
| private

## ◆ cryptoTransform

ICryptoTransform ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.cryptoTransform
| private

## ◆ inputStream

Stream ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.inputStream
| private

## ◆ internalClearText

byte [] ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.internalClearText
| private

## ◆ rawData

byte [] ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.rawData
| private

## ◆ rawLength

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.rawLength
| private

## Property Documentation

## ◆ Available

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.Available
| get set

Get/set the number of bytes available.

## ◆ ClearText

byte [] ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ClearText
| get

Get the contents of the clear text buffer.

## ◆ ClearTextLength

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.ClearTextLength
| get

Get the number of useable bytes in ClearText

## ◆ CryptoTransform

ICryptoTransform ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.CryptoTransform
| set

Get/set the ICryptoTransform to apply to any data.

Set this value to null to have no transform applied.

## ◆ RawData

byte [] ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.RawData
| get

Get the contents of the raw data buffer.

This may contain encrypted data.

## ◆ RawLength

int ICSharpCode.SharpZipLib.Zip.Compression.Streams.InflaterInputBuffer.RawLength
| get

Get the length of bytes bytes in the RawData

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/Compression/Streams/InflaterInputStream.cs